# capacitor-plugin-elehant-mobile-helper

plugin for any mobile helper functions

## Install

Допустим папка проекта ElehantMeters находится по пути d:/Pojects/ElehantMeters.\
gitом клонировать проект в папку d:/Pojects из http://gitlab.elehant.ru:android/capacitor-plugin-elehant-mobile-helper.git\
должна создаться папка d:/Pojects/capacitor-plugin-elehant-mobile-helper\
переходим в эту папку в консоли, и выполняем инталляцию зависимостей и билд


```bash
cd d:/Pojects/capacitor-plugin-elehant-mobile-helper
npm install
npm run build
```
затем в консоли, в папке основного проекта выполняем инсталляцию плагина и синхронизацию проекта

```bash
cd d:/Pojects/ElehantMeters
// если в packaje.json уже есть запись о плагине, то
npm install
// если нет, то
npm install file:../capacitor-plugin-elehant-mobile-helper
// синхронизируем проект для андроида
ionic cap sync Android
```

## API

<docgen-index>

* [`checkGooglePlay()`](#checkgoogleplay)
* [`checkOldPreferences()`](#checkoldpreferences)
* [`isMIUI()`](#ismiui)
* [`checkBatteryOptimizationDenied()`](#checkbatteryoptimizationdenied)
* [`requestBatteryMiUIAutoStart()`](#requestbatterymiuiautostart)
* [`requestBatteryOptimisationMiUI()`](#requestbatteryoptimisationmiui)
* [`requestBatteryOptimizationsAll()`](#requestbatteryoptimizationsall)
* [`shouldShowRequestPermissionRationale(...)`](#shouldshowrequestpermissionrationale)
* [`getSDKVersion()`](#getsdkversion)
* [`getEmail()`](#getemail)

</docgen-index>

<docgen-api>
<!--Update the source file JSDoc comments and rerun docgen to update the docs below-->

### checkGooglePlay()

```typescript
checkGooglePlay() => Promise<{ isOk: boolean; }>
```

Чтение настроек, записанных в старой программе для преноса

**Returns:** <code>Promise&lt;{ isOk: boolean; }&gt;</code>

--------------------


### checkOldPreferences()

```typescript
checkOldPreferences() => Promise<{ account_name: string | null; privacy_police: boolean | null; }>
```

Чтение настроек, записанных в старой программе для преноса

**Returns:** <code>Promise&lt;{ account_name: string | null; privacy_police: boolean | null; }&gt;</code>

--------------------


### isMIUI()

```typescript
isMIUI() => Promise<{ isMIUI: boolean; }>
```

Проверить систему, MIUI или нет

**Returns:** <code>Promise&lt;{ isMIUI: boolean; }&gt;</code>

--------------------


### checkBatteryOptimizationDenied()

```typescript
checkBatteryOptimizationDenied() => Promise<{ isDenied: boolean; }>
```

Проверка, можно ли отключать оптимизацию батареи

**Returns:** <code>Promise&lt;{ isDenied: boolean; }&gt;</code>

--------------------


### requestBatteryMiUIAutoStart()

```typescript
requestBatteryMiUIAutoStart() => Promise<null>
```

Вызвать окно настроек для включения автозапуска

**Returns:** <code>Promise&lt;null&gt;</code>

--------------------


### requestBatteryOptimisationMiUI()

```typescript
requestBatteryOptimisationMiUI() => Promise<null>
```

Вызвать окно отключения оптимизации для некоторых MIUI

**Returns:** <code>Promise&lt;null&gt;</code>

--------------------


### requestBatteryOptimizationsAll()

```typescript
requestBatteryOptimizationsAll() => Promise<null>
```

Вызвать окно настроек для отключения оптимизации батареи не MiUI

**Returns:** <code>Promise&lt;null&gt;</code>

--------------------


### shouldShowRequestPermissionRationale(...)

```typescript
shouldShowRequestPermissionRationale(options: { permission: string; }) => Promise<{ shouldShowRequest: boolean; }>
```

Получить указание, требуется ли разьяснение пользователю при его отказе выдать права

| Param         | Type                                 |
| ------------- | ------------------------------------ |
| **`options`** | <code>{ permission: string; }</code> |

**Returns:** <code>Promise&lt;{ shouldShowRequest: boolean; }&gt;</code>

--------------------


### getSDKVersion()

```typescript
getSDKVersion() => Promise<{ SDK_INT: number; }>
```

Получить номер SDK телефона

**Returns:** <code>Promise&lt;{ SDK_INT: number; }&gt;</code>

--------------------


### getEmail()

```typescript
getEmail() => Promise<{ email: string; }>
```

Получить Google account - email

**Returns:** <code>Promise&lt;{ email: string; }&gt;</code>

--------------------

</docgen-api>
