export interface MobileHelperPlugin {
    /**
     * Чтение настроек, записанных в старой программе для преноса
     */
    checkGooglePlay(): Promise<{
        isOk: boolean;
    }>;
    /**
    * Чтение настроек, записанных в старой программе для преноса
    */
    checkOldPreferences(): Promise<{
        account_name: string | null;
        privacy_police: boolean | null;
    }>;
    /**
    * Проверить систему, MIUI или нет
    */
    isMIUI(): Promise<{
        isMIUI: boolean;
    }>;
    /**
  * Проверка, можно ли отключать оптимизацию батареи
  */
    checkBatteryOptimizationDenied(): Promise<{
        isDenied: boolean;
    }>;
    /**
    * Вызвать окно настроек для включения автозапуска
    */
    requestBatteryMiUIAutoStart(): Promise<null>;
    /**
    * Вызвать окно отключения оптимизации для некоторых MIUI
    */
    requestBatteryOptimisationMiUI(): Promise<null>;
    /**
    * Вызвать окно настроек для отключения оптимизации батареи не MiUI
    */
    requestBatteryOptimizationsAll(): Promise<null>;
    /**
    * Получить указание, требуется ли разьяснение пользователю при его отказе выдать права
    */
    shouldShowRequestPermissionRationale(options: {
        permission: string;
    }): Promise<{
        shouldShowRequest: boolean;
    }>;
    /**
    * Получить номер SDK телефона
    */
    getSDKVersion(): Promise<{
        SDK_INT: number;
    }>;
    /**
    * Получить Google account - email
    */
    getEmail(): Promise<{
        email: string;
    }>;
}
