import { WebPlugin } from '@capacitor/core';
import type { MobileHelperPlugin } from './definitions';
export declare class MobileHelperWeb extends WebPlugin implements MobileHelperPlugin {
    constructor();
    checkGooglePlay(): Promise<{
        isOk: boolean;
    }>;
    checkOldPreferences(): Promise<{
        account_name: string | null;
        privacy_police: boolean | null;
    }>;
    isMIUI(): Promise<{
        isMIUI: boolean;
    }>;
    checkBatteryOptimizationDenied(): Promise<{
        isDenied: boolean;
    }>;
    requestBatteryMiUIAutoStart(): Promise<null>;
    requestBatteryOptimisationMiUI(): Promise<null>;
    requestBatteryOptimizationsAll(): Promise<null>;
    shouldShowRequestPermissionRationale(options: {
        permission: string;
    }): Promise<{
        shouldShowRequest: boolean;
    }>;
    getSDKVersion(): Promise<{
        SDK_INT: number;
    }>;
    getEmail(): Promise<{
        email: string;
    }>;
}
