'use strict';

var core = require('@capacitor/core');

const MobileHelper = core.registerPlugin('MobileHelper', {
    web: () => Promise.resolve().then(function () { return web; }).then(m => new m.MobileHelperWeb()),
});

class MobileHelperWeb extends core.WebPlugin {
    constructor() {
        super();
    }
    async checkGooglePlay() {
        return { isOk: false };
    }
    async checkOldPreferences() {
        const prefix = 'ru.elehant.homecounters_preferences';
        const impl = window.localStorage;
        const account_name = impl.getItem(`${prefix}.account_name`);
        const privacy_police = impl.getItem(`${prefix}.privacy_police`) === 'true';
        return { account_name: account_name, privacy_police: privacy_police };
    }
    async isMIUI() {
        return { isMIUI: false };
    }
    async checkBatteryOptimizationDenied() {
        return { isDenied: false };
    }
    async requestBatteryMiUIAutoStart() {
        return null;
    }
    async requestBatteryOptimisationMiUI() {
        return null;
    }
    async requestBatteryOptimizationsAll() {
        return null;
    }
    async shouldShowRequestPermissionRationale(options) {
        if (options.permission === 'android.permission.ACCESS_FINE_LOCATION') {
            return { shouldShowRequest: false };
        }
        else
            return { shouldShowRequest: true };
    }
    async getSDKVersion() {
        return { SDK_INT: 33 };
    }
    async getEmail() {
        // console.log('getEmail');
        return { email: 'test@email.ru' };
    }
}

var web = /*#__PURE__*/Object.freeze({
    __proto__: null,
    MobileHelperWeb: MobileHelperWeb
});

exports.MobileHelper = MobileHelper;
//# sourceMappingURL=plugin.cjs.js.map
